Module tdlight.api
Package it.tdlight.jni

# Class TdApi.BusinessInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.BusinessInfo

Enclosing class:
  TdApi

public static final class TdApi.BusinessInfo extends TdApi.Object
Contains information about a Telegram Business account.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.BusinessAwayMessageSettings`
`awayMessageSettings`
The away message; may be null if none or the Business account is not of the current user.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.BusinessGreetingMessageSettings`
`greetingMessageSettings`
The greeting message; may be null if none or the Business account is not of the current user.
`TdApi.BusinessLocation`
`location`
Location of the business; may be null if none.
`TdApi.BusinessOpeningHours`
`openingHours`
Opening hours of the business; may be null if none.

## Constructor Summary

Constructors
Constructor
Description
`BusinessInfo()`
Contains information about a Telegram Business account.
`BusinessInfo(TdApi.BusinessLocation location, TdApi.BusinessOpeningHours openingHours, TdApi.BusinessGreetingMessageSettings greetingMessageSettings, TdApi.BusinessAwayMessageSettings awayMessageSettings)`
Contains information about a Telegram Business account.
`BusinessInfo(DataInput input)`
Contains information about a Telegram Business account.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### location

public TdApi.BusinessLocation location
Location of the business; may be null if none.

### openingHours

public TdApi.BusinessOpeningHours openingHours
Opening hours of the business; may be null if none. The hours are guaranteed to be valid and has already been split by week days.

### greetingMessageSettings

public TdApi.BusinessGreetingMessageSettings greetingMessageSettings
The greeting message; may be null if none or the Business account is not of the current user.

### awayMessageSettings

public TdApi.BusinessAwayMessageSettings awayMessageSettings
The away message; may be null if none or the Business account is not of the current user.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### BusinessInfo

public BusinessInfo()
Contains information about a Telegram Business account.

### BusinessInfo

public BusinessInfo(TdApi.BusinessLocation location, TdApi.BusinessOpeningHours openingHours, TdApi.BusinessGreetingMessageSettings greetingMessageSettings, TdApi.BusinessAwayMessageSettings awayMessageSettings)
Contains information about a Telegram Business account.

Parameters:
  `location` - Location of the business; may be null if none.
  `openingHours` - Opening hours of the business; may be null if none. The hours are guaranteed to be valid and has already been split by week days.
  `greetingMessageSettings` - The greeting message; may be null if none or the Business account is not of the current user.
  `awayMessageSettings` - The away message; may be null if none or the Business account is not of the current user.

### BusinessInfo

public BusinessInfo(DataInput input) throws IOException
Contains information about a Telegram Business account.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`